For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
      • POSTCreate deployment event
      • GETGet deployment
      • GETList deployments
      • PATCHUpdate deployment
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewInsights Deployments Beta

Create deployment event

POST
/api/v2/engineering-insights/deployment-events
POST
/api/v2/engineering-insights/deployment-events
$curl -X POST https://app.launchdarkly.com/api/v2/engineering-insights/deployment-events \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectKey": "default",
> "environmentKey": "production",
> "applicationKey": "billing-service",
> "version": "a90a8a2",
> "eventType": "started"
>}'
1{}
Create deployment event
Was this page helpful?
Previous

Get deployment

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
projectKeystringRequired
The project key
environmentKeystringRequired
The environment key
applicationKeystringRequired

The application key. This defines the granularity at which you want to view your insights metrics. Typically it is the name of one of the GitHub repositories that you use in this project.

LaunchDarkly automatically creates a new application each time you send a unique application key.

versionstringRequired

The application version. You can set the application version to any string that includes only letters, numbers, periods (.), hyphens (-), or underscores (_).

We recommend setting the application version to at least the first seven characters of the SHA or to the tag of the GitHub commit for this deployment.

eventTypeenumRequired
The event type
Allowed values:
applicationNamestringOptional
The application name. This defines how the application is displayed
applicationKindenumOptional

The kind of application. Default: server

Allowed values:
versionNamestringOptional
The version name. This defines how the version is displayed
eventTimelongOptional
The time, in Unix milliseconds, when the event occurred. If not included, the time will default to when the event is processed and stored in LaunchDarkly.
eventMetadatamap from strings to anyOptional
A JSON object containing metadata about the event
deploymentMetadatamap from strings to anyOptional
A JSON object containing metadata about the deployment

Response

Created

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error